Bug 968310 - Live Migration fails when openstack installed via packstack puppet script.
Live Migration fails when openstack installed via packstack puppet script.
Status: CLOSED WONTFIX
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
x86_64 Other
unspecified Severity medium
: ---
: Icehouse
Assigned To: Martin Magr
Ami Jeain
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 08:38 EDT by Nehal J Wani
Modified: 2015-06-04 17:51 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-18 21:11:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nehal J Wani 2013-05-29 08:38:44 EDT
Description of problem:
Operation System: CentOS
packstack installs without any problem

Version-Release number of selected component (if applicable):


How reproducible:
easily

Steps to Reproduce:
1. Install openstack-packstack and and run the script with the option --allinone
2. Add a nova-compute node
3. Perform Live Migration via horizon dashboard

Actual results:
Live Migration Fails.

Expected results:
Live Migration should succedd

Additional info:
Error:
TRACE nova.openstack.common.rpc.amqp Stdout: ''
2013-05-29 16:52:35.233 18605 TRACE nova.openstack.common.rpc.amqp Stderr: 'Host key verification failed.\r\n'
2013-05-29 16:52:35.233 18605 TRACE nova.openstack.

So I created the host keys for nova user with the command: ssh-keygen -f nova and then renamed them to id_rsa and id_rsa.pub and then put them to ~nova/.ssh/

Also, I copied the files /root/.ssh/known_hosts and /root/.ssh/authorized_keys to ~nova/.ssh/ on both machines

Then I changed the file permissions to nova:nova

Then comes the error:This account is currently not available.\n

So I edited the file /etc/passwd on both the machines and then changed the line

nova:x:162:162:OpenStack Nova Daemons:/var/lib/nova:/sbin/nologin

to

nova:x:162:162:OpenStack Nova Daemons:/var/lib/nova:/bin/bash

Now migration works.. But his is a tedious task.
Comment 1 wenxin1234114 2013-11-26 23:42:57 EST
I also have this problem .
Comment 2 Ivan Chavero 2014-03-18 21:11:39 EDT
packstack is not suppoused to manage addition of components. even trhough it can be done this is not a supported feature.

Note You need to log in before you can comment on or make changes to this bug.